Bug 268787 - Simple remote does not work if there is no unzip on remote host
Simple remote does not work if there is no unzip on remote host
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-02 11:45 UTC by Vladimir Kvashin
Modified: 2016-12-09 12:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-02 11:45:14 UTC
While investigating logs attached to the issue 268766, we found that remote host does not have unzip utility. This led to build failure (in Simple remote mode) without clear error message.

This should be fixed: there should be an error message that unzip is absent
1) when building
2) as a warning when setting up remote host
Comment 1 Vladimir Kvashin 2016-11-02 16:44:31 UTC
It works like a charm! 
Look what it prints in the case there is no unzip:

  unzip: failed to start unzip: No such file or directory
  There was an error unzip files. Trying to recover using plain files...

And it builds OK. So this bug should be set to rather "invalid" than "fixed" - but I just fixed a typo (should be "error unzipping" instead of "error unzip"):

change set 2aa973b2c116 on enum/r82
Comment 2 Quality Engineering 2016-11-10 03:22:20 UTC
Integrated into 'main-silver', will be available in build *201611100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a973e490bc56
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed a typo (#268787 - Simple remote does not work if there is no unzip on remote host)
(transplanted from 2aa973b2c11678a6802d0305e7a81473c942b2e9)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo